#ifndef BaseIcons_h
#define BaseIcons_h

// $Id: BaseIcons.h,v 1.28 2011/12/03 13:01:44 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file BaseIcons.h
  \brief namespace for base icons name wrapper
  \author Hugo Pereira
  \version $Revision: 1.28 $
  \date $Date: 2011/12/03 13:01:44 $
*/

#include <QString>

//! namespace for base icons static name wrapper
namespace ICONS
{

  static const QString ABOUT_QT = "qt-logo.png";
  static const QString ADD="list-add.png";
  static const QString COLOR = "format-fill-color.png";
  static const QString COLOR_PICKER = "color-picker.png";
  static const QString CONFIGURE = "configure.png";
  static const QString COPY = "edit-copy.png";
  static const QString CUT = "edit-cut.png";
  static const QString DELETE = "user-trash.png";
  static const QString DIALOG_CANCEL = "dialog-cancel.png";
  static const QString DIALOG_CLOSE = "dialog-close.png";
  static const QString DIALOG_OK = "dialog-ok.png";
  static const QString DIALOG_OK_APPLY = "dialog-ok-apply.png";
  static const QString DIALOG_ACCEPT = DIALOG_OK_APPLY;
  static const QString EDIT = "edit.png";
  static const QString EDIT_CLEAR = "edit-clear-locationbar-rtl.png";
  static const QString EXIT = "application-exit.png";
  static const QString FIND = "zoom-in.png";
  static const QString FIND_LARGE = "zoom-in-large.png";
  static const QString HELP = "help-contents.png";
  static const QString INFORMATION = "dialog-information.png";
  static const QString LOCK = "document-encrypt.png";
  static const QString OPEN = "document-open.png";
  static const QString OPEN_FOLDER = "document-open-folder.png";
  static const QString PASTE = "edit-paste.png";
  static const QString PIN = "stock_pin.png";
  static const QString PRINT = "document-print.png";
  static const QString REDO= "edit-redo.png";
  static const QString RELOAD = "view-refresh.png";
  static const QString REMOVE="list-remove.png";
  static const QString RENAME="edit-rename.png";
  static const QString RUN="system-run.png";
  static const QString SHOW_MENU = "show-menu.png";
  static const QString UNDO= "edit-undo.png";
  static const QString WARNING = "messagebox_warning.png";

};

#endif
